function Door1()
    PRI()
    TUR()MS4("\n不能逃跑！")NOD()
end

function QuickMalcoBoss()
    PRI()
    SNP("CS_powerroom_screen",23,14,0,"mainLayer","")
    SNP("CS_powerroom_wave",23,12,0,"mainLayer","")
    ANP("Malco1",10,1)AMC(0,0,PLY())SLR(0,PLY())
    FAI(1)
    KEY()
    CMU("CS_Gravity")
    CNP("MalcoBoss","CS_boss_malco",0,1)
    MNP("MalcoBoss","Malco1")
    BSL("MalcoBoss")
    DNP("Malco1")
end

--战胜马鲁可后
function MalcoBoss()
    KEY()
    CNP("MalcoBoss","CS_malco_animate",0,1)
    ANP("MalcoBoss",200)
    WAI(60)
    CMU("CS_Fanfale3")
    MS4("\n马鲁可 被击败了！")WAI(140)NOD()CLO()
    FLP("DefeatedMalco")
    FAO(2)TRA("CS_bossrush_mainstage","E0090",11,14)
end

function Died()
    CMU("XXXX")WAI(30)
    FAO(2)
    SMC(0)SMC(1)LIP(1000)MIP(1000)TRA("CS_bossrush_mainstage","E0090",11,14)
end

function DeathByMovingPlatform()
    Died()
end